くりにっき

ドリコムのプリキュアの人です

2016-09-02から1日間の記事一覧

gemspecにRUBY_VERSIONによるif文書くのは意味がないので今すぐやめるべき

自戒です tl;dr 発端 間違った対処法 だがしかし sonots先生曰く 検証結果 所感 Rubyのバージョンによる分岐を全部Gemfileに寄せた結果 謝辞 tl;dr gemspecの中でRubyのバージョンによってインストールしたいgemのバージョンを変えたい時は、gemspecではなく…